./databases/php-ldap, PHP extension for LDAP database access

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 5.6.31nb1, Package name: php56-ldap-5.6.31nb1, Maintainer: pkgsrc-users

PHP is a programming language designed to be embedded into web pages.
This module provides access to LDAP databases.


Required to run:
[lang/php56]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: a4ea2b095c60d61958a43ca4151acfaf4ac82e4c
RMD160: e1512f94a9d1054ef136921787a47359d9cdd9bf
Filesize: 14676.575 KB

Version history: (Expand)


CVS history: (Expand)


   2017-07-19 18:20:07 by Emmanuel Dreyfus | Files touched by this commit (3)
Log message:
Add php70 and php71 patches for the exop option

The LDAP controls and extended operations (EXOP) has been merged upstream
with some modifications. The patches backports upstream code to php70
and php71, with additionnal EXOP REFRESH support that is missing for now.
   2017-05-12 10:28:12 by Emmanuel Dreyfus | Files touched by this commit (3) | Package updated
Log message:
Update the LDAP EXOP patch to build with PHP 5.6.x
Remove the versions for retired PHP 5.4 and 5.5
   2016-04-02 11:05:23 by Takahiro Kambe | Files touched by this commit (9)
Log message:
Reset PKGREVISION after all PHP language packages.
   2016-03-05 12:29:49 by Jonathan Perkin | Files touched by this commit (1813) | Package updated
Log message:
Bump PKGREVISION for security/openssl ABI bump.
   2015-11-08 10:25:27 by Emmanuel Dreyfus | Files touched by this commit (2) | Package updated
Log message:
Let ldap_sasl_bind() use interractive input

Interractive methods such as OTP use the ldap_sasl_bind() callback with
SASL_CB_ECHOPROMPT or SASL_CB_ECHONOPROMPT instead of SASL_CB_PASS. Add
the cases and treat them like SASL_CB_PASS for PHP 5.4.x and PHP 5.5.x.
The exop patch for PHP 5.6.x is broken right now and will be updated later.
   2015-05-16 13:19:53 by Takahiro Kambe | Files touched by this commit (4) | Package updated
Log message:
Reset PKGREVISION along with php{54,55,56} update.
   2015-04-20 05:24:36 by Emmanuel Dreyfus | Files touched by this commit (3)
Log message:
Fix build with SASL disabled

Do not force-define HAVE_LDAP_SASL, since the PHP configure script
actually takes care of that one. This lets us build with the exop
option enabled while sasl is disabled.
   2015-04-13 10:04:17 by Emmanuel Dreyfus | Files touched by this commit (5) | Package updated
Log message:
Update the LDAP EXOP support patch for PHP 5.4, 5.5 and 5.6